Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 3731)
+++ plugins/pings/_admin.php	(revision 3874)
@@ -20,8 +20,8 @@
 $__autoload['pingsAdminBehaviors'] = dirname(__FILE__) . '/lib.pings.php';
 
-$core->addBehavior('adminPostHeaders', array('pingsAdminBehaviors', 'pingJS'));
-$core->addBehavior('adminPostFormItems', array('pingsAdminBehaviors', 'pingsFormItems'));
-$core->addBehavior('adminAfterPostCreate', array('pingsAdminBehaviors', 'doPings'));
-$core->addBehavior('adminAfterPostUpdate', array('pingsAdminBehaviors', 'doPings'));
+$core->addBehavior('adminPostHeaders', ['pingsAdminBehaviors', 'pingJS']);
+$core->addBehavior('adminPostFormItems', ['pingsAdminBehaviors', 'pingsFormItems']);
+$core->addBehavior('adminAfterPostCreate', ['pingsAdminBehaviors', 'doPings']);
+$core->addBehavior('adminAfterPostUpdate', ['pingsAdminBehaviors', 'doPings']);
 
 $core->addBehavior('adminDashboardFavorites', 'pingDashboardFavorites');
@@ -29,10 +29,10 @@
 function pingDashboardFavorites($core, $favs)
 {
-    $favs->register('pings', array(
+    $favs->register('pings', [
         'title'      => __('Pings'),
         'url'        => $core->adminurl->get('admin.plugin.pings'),
         'small-icon' => dcPage::getPF('pings/icon.png'),
         'large-icon' => dcPage::getPF('pings/icon-big.png')
-    ));
+    ]);
 }
 
Index: plugins/pings/_define.php
===================================================================
--- plugins/pings/_define.php	(revision 3731)
+++ plugins/pings/_define.php	(revision 3874)
@@ -17,10 +17,10 @@
     "Olivier Meunier", // Author
     '1.3',             // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin',
         'type'        => 'plugin',
-        'settings'    => array(
+        'settings'    => [
             'self' => ''
-        )
-    )
+        ]
+    ]
 );
Index: plugins/pings/_install.php
===================================================================
--- plugins/pings/_install.php	(revision 3731)
+++ plugins/pings/_install.php	(revision 3874)
@@ -18,8 +18,8 @@
 
 // Default pings services
-$default_pings_uris = array(
+$default_pings_uris = [
     'Ping-o-Matic!'      => 'http://rpc.pingomatic.com/',
     'Google Blog Search' => 'http://blogsearch.google.com/ping/RPC2'
-);
+];
 
 $core->blog->settings->addNamespace('pings');
Index: plugins/pings/_prepend.php
===================================================================
--- plugins/pings/_prepend.php	(revision 3731)
+++ plugins/pings/_prepend.php	(revision 3874)
@@ -15,3 +15,3 @@
 $__autoload['pingsCoreBehaviour'] = dirname(__FILE__) . '/lib.pings.php';
 
-$core->addBehavior('coreFirstPublicationEntries', array('pingsCoreBehaviour', 'doPings'));
+$core->addBehavior('coreFirstPublicationEntries', ['pingsCoreBehaviour', 'doPings']);
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 3731)
+++ plugins/pings/index.php	(revision 3874)
@@ -18,11 +18,11 @@
     $pings_uris = $core->blog->settings->pings->pings_uris;
     if (!$pings_uris) {
-        $pings_uris = array();
+        $pings_uris = [];
     }
 
     if (isset($_POST['pings_srv_name'])) {
-        $pings_srv_name = is_array($_POST['pings_srv_name']) ? $_POST['pings_srv_name'] : array();
-        $pings_srv_uri  = is_array($_POST['pings_srv_uri']) ? $_POST['pings_srv_uri'] : array();
-        $pings_uris     = array();
+        $pings_srv_name = is_array($_POST['pings_srv_name']) ? $_POST['pings_srv_name'] : [];
+        $pings_srv_uri  = is_array($_POST['pings_srv_uri']) ? $_POST['pings_srv_uri'] : [];
+        $pings_uris     = [];
 
         foreach ($pings_srv_name as $k => $v) {
@@ -55,8 +55,8 @@
 
 echo dcPage::breadcrumb(
-    array(
+    [
         __('Plugins')             => '',
         __('Pings configuration') => ''
-    ));
+    ]);
 
 echo
@@ -69,10 +69,10 @@
     echo
     '<p><label for="pings_srv_name-' . $i . '" class="classic">' . __('Service name:') . '</label> ' .
-    form::field(array('pings_srv_name[]', 'pings_srv_name-' . $i), 20, 128, html::escapeHTML($n)) . ' ' .
+    form::field(['pings_srv_name[]', 'pings_srv_name-' . $i], 20, 128, html::escapeHTML($n)) . ' ' .
     '<label for="pings_srv_uri-' . $i . '" class="classic">' . __('Service URI:') . '</label> ' .
-    form::url(array('pings_srv_uri[]', 'pings_srv_uri-' . $i), array(
+    form::url(['pings_srv_uri[]', 'pings_srv_uri-' . $i], [
         'size'    => 40,
         'default' => html::escapeHTML($u)
-    ));
+    ]);
 
     if (!empty($_GET['test'])) {
@@ -91,7 +91,7 @@
 echo
 '<p><label for="pings_srv_name2" class="classic">' . __('Service name:') . '</label> ' .
-form::field(array('pings_srv_name[]', 'pings_srv_name2'), 20, 128) . ' ' .
+form::field(['pings_srv_name[]', 'pings_srv_name2'], 20, 128) . ' ' .
 '<label for="pings_srv_uri2" class="classic">' . __('Service URI:') . '</label> ' .
-form::url(array('pings_srv_uri[]', 'pings_srv_uri2'), 40) .
+form::url(['pings_srv_uri[]', 'pings_srv_uri2'], 40) .
 '</p>' .
 
Index: plugins/pings/lib.pings.php
===================================================================
--- plugins/pings/lib.pings.php	(revision 3731)
+++ plugins/pings/lib.pings.php	(revision 3874)
@@ -59,5 +59,5 @@
             $pings_do = $_POST['pings_do'];
         } else {
-            $pings_do = array();
+            $pings_do = [];
         }
 
@@ -67,5 +67,5 @@
             $item .=
             '<p class="ping-services"><label for="pings_do-' . $i . '" class="classic">' .
-            form::checkbox(array('pings_do[]', 'pings_do-' . $i), html::escapeHTML($v), in_array($v, $pings_do), 'check-ping-services') . ' ' .
+            form::checkbox(['pings_do[]', 'pings_do-' . $i], html::escapeHTML($v), in_array($v, $pings_do), 'check-ping-services') . ' ' .
             html::escapeHTML($k) . '</label></p>';
             $i++;
